> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific Bitcoin Rune including supply, divisibility, and metadata.

# Runes Info



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/runes/{rune}
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/runes/{rune}:
    get:
      tags:
        - Runes
      summary: Runes Info
      description: >-
        Returns full details for a specific Rune token, such as its etching
        (origin) transaction, supply, number of holders.
      operationId: info_by_rune
      parameters:
        - name: rune
          in: path
          description: >-
            Rune, specified either by the Rune ID (etching block number and
            transaction index) or name (spaced or un-spaced)
          required: true
          schema:
            type: string
          example: '2519999:31'
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedRuneInfo'
              example:
                data:
                  circulating_supply: '5226.00'
                  divisibility: 2
                  etching_cenotaph: false
                  etching_height: 840000
                  etching_tx: >-
                    2bb85f4b004be6da54f766c17c1e855187327112c231ef2ff35ebad0ea67c69e
                  id: '840000:1'
                  max_supply: '111111111.00'
                  mints: 5226
                  name: ZZZZZFEHUZZZZZ
                  premine: '110000000.00'
                  spaced_name: Z•Z•Z•Z•Z•FEHU•Z•Z•Z•Z•Z
                  symbol: ᚠ
                  terms:
                    amount_per_mint: '1.00'
                    end_height: null
                    end_offset: null
                    mint_txs_cap: '1111111'
                    start_height: null
                    start_offset: null
                  unique_holders: 1568
                last_updated:
                  block_hash: >-
                    00000000000000000001332b3017e2b72bdd063145bbf808b3c1722a0fd60859
                  block_height: 840051
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedRuneInfo:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/RuneInfo'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    RuneInfo:
      type: object
      required:
        - id
        - etching_cenotaph
        - etching_tx
        - etching_height
        - name
        - spaced_name
        - divisibility
        - terms
        - max_supply
        - circulating_supply
        - mints
        - unique_holders
      properties:
        circulating_supply:
          type: string
        divisibility:
          type: integer
          format: int32
          description: If no divisibility was specified, then this equals 0
          minimum: 0
        etching_cenotaph:
          type: boolean
        etching_height:
          type: integer
          format: int64
          minimum: 0
        etching_tx:
          type: string
        id:
          type: string
        max_supply:
          type: string
        mints:
          type: integer
          format: int64
          minimum: 0
        name:
          type: string
        premine:
          type: string
          nullable: true
        spaced_name:
          type: string
        symbol:
          type: string
          nullable: true
        terms:
          $ref: '#/components/schemas/Terms'
        unique_holders:
          type: integer
          format: int64
          minimum: 0
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    Terms:
      type: object
      properties:
        amount_per_mint:
          type: string
          nullable: true
        end_height:
          type: string
          nullable: true
        end_offset:
          type: string
          nullable: true
        mint_txs_cap:
          type: string
          nullable: true
        start_height:
          type: string
          nullable: true
        start_offset:
          type: string
          nullable: true
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````